﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderItemEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.OrderItemEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter"><span><%=UI.Current.OrderItemDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <%if (Entity != null && Entity.IsNew)
                      { %>
                    <tr class="<%=GetRegionCSSClass(AvailableProducts)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="AvailableProductsFieldView" InputToDisplayID="AvailableProducts" />
                      </td>
                      <td class="control">
                        <UI:Lookup runat="server" ID="ProductLookup" 
                        InnerControlVirtualPath="~/admin/Controls/Listing/AvailableProductLookupListing.ascx">
                          <InputContainer>
                            <UI:AutoCompleteTextBox runat="server" ID="AvailableProducts" ServiceKey="OrderItemProducts" 
                            Template-PropertyName="ProductID" ExtendedTemplate-HighlightOnFocus="true"/>
                          </InputContainer>
                        </UI:Lookup>
                      </td>
                    </tr>
                    <%} %>
                    <%if (Entity != null && !Entity.IsNew)
                      { %>
                    <tr class="<%=GetRegionCSSClass(TitleField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="TitleField" runat="server" Template-PropertyName="Title" ExtendedTemplate-HighlightOnFocus="true"
                          ReadOnly="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(ReferenceField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ReferenceFieldView" InputToDisplayID="ReferenceField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="ReferenceField" runat="server" Template-PropertyName="Reference"
                          ExtendedTemplate-HighlightOnFocus="true" ReadOnly="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(PriceField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="PriceField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="PriceField" runat="server" Template-PropertyName="Price" ExtendedTemplate-HighlightOnFocus="true"
                          ReadOnly="true" />
                      </td>
                    </tr>
                    <%} %>
                    <tr class="<%=GetRegionCSSClass(QuantityField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="QuantityField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="QuantityField" runat="server" Template-PropertyName="Quantity" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
