﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductAttributeListing.ascx.cs" Inherits="Core.Web.Admin.Controls.Listing.ProductAttributeListing" %>
<%@ Import Namespace="Core.Web" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:ProductAttributeGridView runat="server" ID="Grid" >
                <Columns>
                    <List:GridColumn Header="Name" PropertyName="Attribute.Name" Width="43" />
                    <List:GridColumn Header="Value" PropertyName="SelectedValue.Value" Width="43" />
                </Columns>
                <ActionColumns>
                    <List:SaveActionColumn Header="Save" Width="3" CssClass="butt-save png cursor-hand"
                      InactiveCssClass="button-invisible" />
                    <List:CancelActionColumn Header="Cancel" Width="3" CssClass="butt-cancel png cursor-hand"
                      InactiveCssClass="button-invisible" />
                    <List:StartEditActionColumn Width="3" CssClass="butt-edit png cursor-hand" 
                      InactiveCssClass="button-invisible" />                
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" 
                      InactiveCssClass="inactive-action-column" />
                </ActionColumns>             
                <InputRow>
                  <List:ProductAttributeValueColumn PropertyName="SelectedValue" ViewPropertyName="SelectedValue.Value" SelectColumns = "SelectedValue.AttributeValueID" 
                        IsForceDataBind="true" CssClass="textbox-column" ControlCssClass="grid-input select select-104" />                        
                </InputRow>                   
            </Grid:ProductAttributeGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label"><%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>