﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DatabaseDetails.ascx.cs" Inherits="Core.Web.Admin.Controls.Setup.DatabaseDetails" %>

<%@ Register Src="~/Admin/PageElements/SpanButton.ascx" TagPrefix="uc" TagName="SpanButton" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error"><UI:ValidationSummary runat="server" ID="Errors" /></div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <div class="setup-tooltip">
            <p>Enter your database details: <strong>MS SQL</strong> server name or IP (Host), username and password for the access to the specified server and database name.</p>
            <p>Please make sure that the database already exists and the user specified has a full access to it.</p>
            <p>To test entered details, click "Test".</p>
          </div>
          <div style="height:10px;clear:both;"></div>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter"><span>Database Details</span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>  
                    <tr class="<%=GetRegionCSSClass(HostField)%>">
                      <td class="label label-50">
                        <UI:FieldView runat="server" ID="HostFieldView" InputToDisplayID="HostField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="HostField" runat="server"  ExtendedTemplate-HighlightOnFocus="true" Template-IsRequired="true" Template-DisplayName="Host"/>
                      </td>
                    </tr> 
                    <tr class="<%=GetRegionCSSClass(UsernameField)%>">
                      <td class="label label-50">
                        <UI:FieldView runat="server" ID="UsernameFieldView" InputToDisplayID="UsernameField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="UsernameField" runat="server"  ExtendedTemplate-HighlightOnFocus="true" Template-IsRequired="true" Template-DisplayName="Username"/>
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(PasswordField)%>">
                      <td class="label label-50">
                        <UI:FieldView runat="server" ID="PasswordFieldView" InputToDisplayID="PasswordField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="PasswordField" runat="server" TextMode="Password" ExtendedTemplate-HighlightOnFocus="true" Template-DisplayName="Password"/>
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(DatabaseField)%>">
                      <td class="label label-50">
                        <UI:FieldView runat="server" ID="DatabaseFieldView" InputToDisplayID="DatabaseField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="DatabaseField" runat="server"  ExtendedTemplate-HighlightOnFocus="true" Template-IsRequired="true" Template-DisplayName="Database"/>
                      </td>
                    </tr>                                        
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <Input:CustomValidator runat="server" ID="ConnectionStringValidator" Display="None" OnServerValidate="ValidateConnectionString" EnableClientScript="false"/>       
        <uc:SpanButton runat="server" id="Previous" Title="Prev" ToolTip="Prev" />
        <uc:SpanButton runat="server" id="Next" Title="Next" ToolTip="Next" IsSubmitOnEnterKey="true" />
        <uc:SpanButton runat="server" id="Test" Title="Test" ToolTip="Test" />        
        <span class="obligatory-fields">Fields designated in <b>bold</b> are obligatory</span>
      </td>
    </tr>
  </tbody>
</table>