﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AdministratorEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.AdministratorPages.AdministratorEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/AdministratorEditor.ascx" TagName="AdministratorEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Binding/Administrator/AdministratorPermissionsEditor.ascx" 
TagName="AdministratorPermissions" TagPrefix="uc" %>


<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="AdministratorEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:AdministratorTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:AdministratorTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AdministratorEditor ID="AdministratorEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:AdministratorTabItem>
                                    <Tab:AdministratorTabItem runat="server" ID="PermissionsTab"  
                                    Active="true" ActiveForNewEntity="false" onActivate="PermissionsTabActivateHandler">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AdministratorPermissions ID="AdministratorPermissionsEditor" 
                                                     runat="server"/>
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:AdministratorTabItem>
                                </Items>
                            </Tab:AdministratorTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
