﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OrderEditorPage.aspx.cs" Inherits="Core.Web.Admin.Pages.OrderPages.OrderEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master" ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/OrderEditor.ascx" TagName="OrderEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Trees/OrderItemsTree.ascx" TagPrefix="uc" TagName="OrderItemsTree" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="OrderEditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <div class="management-buttons flo">
        <uc:HelpButton ID="HelpButton" runat="server"/>
        <h2 class="edit-header"><%=PageTitle%></h2>
      </div>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tbody>
          <tr>
            <td width="100%" valign="top">
              <Tab:OrderTabContainer ID="TabContainer" runat="server">
                <Items>
                  <Tab:OrderTabItem runat="server" ID="DetailsTab" Active="true" ActiveForNewEntity="true">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:OrderEditor ID="OrderEditor" runat="server" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </InnerContent>
                  </Tab:OrderTabItem>
                  <Tab:OrderTabItem runat="server" ID="ItemsTab" Active="true" ActiveForNewEntity="true">
                    <InnerContent>                      
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:OrderItemsTree ID="OrderItems" runat="server" />
                            </td>
                          </tr>
                        </tbody>
                      </table>                      
                    </InnerContent>
                  </Tab:OrderTabItem>                  
                </Items>
              </Tab:OrderTabContainer>
            </td>
            <td valign="top" class="tabs-box-column">
              <uc:Toolbar runat="server" ID="VerticalToolbar" />
            </td>
          </tr>
        </tbody>
      </table>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
