﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DefaultProductsListing.ascx.cs" Inherits="Core.Web.Controls.Products.DefaultProductsListing" %>

<%@ Import Namespace="iFramework.Core.Utilities" %>
<%@ Import Namespace="Core.DBO.Entity.Products" %>
<%@ Import Namespace="Core.Web.Constants.UI" %>

<%@ Register Src="~/Controls/Products/DefaultLinkPaginator.ascx" TagPrefix="uc" TagName="Paginator" %>
<%@ Register Src="~/Controls/Products/ProductRepeater.ascx" TagPrefix="uc" TagName="ProductRepeater" %>

<div class="Area">
  <div class="FormSection">
    <div class="AreaPanelTop">
      <div class="ToolPanel">
        <ul class="Groups">
          <li class="GroupA">
            <ul>
              <li class="E">
                <uc:Paginator runat="server" ID="TopPaginator" />
              </li>
            </ul>
          </li>
          <li class="GroupB">
            <ul>
              <li class="E">
                <div class="Filter">
                  <dl>
                    <dt class="Disabled">
                      <label><%=UI.Current.Sorting%>:</label>
                    </dt>
                    <dd>
                      <span class="Field SelectLine">
                        <Front:SortChanger runat="server" ID="ProductsSortChanger" AutoPostBack="true" />
                      </span>
                    </dd>
                  </dl>
                </div>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </div>
    <div class="AreaContent">
      <div class="ProductPool">
        <uc:ProductRepeater runat="server" ID="ProductRepeater" />
      </div>
    </div>
    <div class="AreaPanelBottom">
      <div class="ToolPanel">
        <ul class="Groups">
          <li class="GroupA">
            <ul>
              <li class="E">
                <uc:Paginator runat="server" ID="BottomPaginator" />
              </li>
            </ul>
          </li>
          <li class="GroupB">
            <ul>
              <li class="E">
                <div class="Filter">
                  <dl>
                    <dt>
                      <label><%=GetProductsTotalText()%></label>
                    </dt>
                    <dd>
                      <span class="Field SelectLine">
                        <Front:PageSizeChanger runat="server" ID="PageSizeControl" AutoPostBack="true" />
                      </span>
                    </dd>
                  </dl>
                </div>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>