﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductImages.ascx.cs" Inherits="Core.Web.Controls.Products.ProductImages" %>

<%@ Import namespace="Core.DBO.Entity.Products"%>
<%@ Import namespace="iFramework.Core.Utilities"%>
<%@ Import namespace="Core.Web"%>

<div class="Image">
	<dl>
		<dt>
			<div class="product-images">
				<ul style="height:<%=ThumbnailHeight%>px;">
				  <asp:Repeater runat="server" ID="Images">
				    <ItemTemplate>
				      <li>
				        <a href="<%#GetImageUrl(Eval("FileName") as String)%>" title="<%#TextUtility.FormatText(Eval("Title") as String)%>">
				          <img src="<%#GetThumbnailImageUrl(Eval("FileName") as String)%>" alt="<%#TextUtility.FormatText(Eval("Title") as String)%>" width="<%=ThumbnailWidth%>" height="<%=ThumbnailHeight%>">
				        </a>
				      </li>
				    </ItemTemplate>
				  </asp:Repeater>
				  <%if (!ExistImages) {%>
				      <li>
				        <img src="<%=GetThumbnailImageUrl(Product.NoImageFileName)%>" alt="<%=TextUtility.FormatText(CurrentProduct.Title)%>" width="<%=ThumbnailWidth%>" height="<%=ThumbnailHeight%>">
				      </li>				    
				  <%}%>
				</ul>
			</div>
		</dt>
		<dd>
			<p id="imageTitle"><%=TextUtility.ShrinkText(TextUtility.FormatText(CurrentProduct.Title), 50)%></p>
			<div class="Tools">
				<div class="Navigator">
				  <%if (ExistImages) {%>
					  <div class="Previous"><img id="prev" src="<%=Global.ApplicationPath%>Files/images/prev.gif" alt="Previous" class="cursor-hand" /></div>
					  <div class="PosIndicator"><span class="Value" id="indicator"></span></div>
					  <div class="Next"><img id="next" src="<%=Global.ApplicationPath%>Files/images/next.gif" alt="Next" class="cursor-hand" /></div>
					<%}%>
				</div>
				<%if (ExistImages) {%>
				  <div class="Zoomer"><a href="javascript:void(0)"><%=UI.Current.ZoomImage%></a></div>
				<%}%>
			</div>
		</dd>
	</dl>
</div>

<script type="text/javascript">

		$(function() {				  
	    $('.product-images').jCarouselLite({btnNext: '#next', btnPrev: '#prev', visible: 1, speed: 800, circular: false});

 		  $.Lightbox.files.images.prev = '<%=Global.ApplicationPath + UI.Current.LightboxPrevImage%>';
	    $.Lightbox.files.images.next = '<%=Global.ApplicationPath + UI.Current.LightboxNextImage%>';
	    $.Lightbox.files.images.blank = '<%=Global.ApplicationPath%>Files/images/lightbox/blank.gif';
	    $.Lightbox.files.images.loading = '<%=Global.ApplicationPath%>Files/images/lightbox/loading.gif';
	    $('.product-images a').lightbox();
	    
		  $('.product-images').galery({
		    prevButton: '#prev', nextButton: '#next', 
		    indicator: '#indicator', zoomLink: '.Zoomer a', 
		    titleDisplay: '#imageTitle'
		  }, {
		    speed: 800,
		    nextIcon: '<%=Global.ApplicationPath%>Files/images/next.gif',
		    nextDisabledIcon: '<%=Global.ApplicationPath%>Files/images/next-dis.gif',
		    prevIcon: '<%=Global.ApplicationPath%>Files/images/prev.gif',
		    prevDisabledIcon: '<%=Global.ApplicationPath%>Files/images/prev-dis.gif'		    
		  });
		});

</script>