﻿/* 

    Author: Roman Zaharenkov
    Date:   07.05.2009

*/


-- Drop Constraint, Rename and Create Table SQL

EXEC sp_rename 'ProductKitAssemblyItems.PK126','PK126_05072009122211001','INDEX'

EXEC sp_rename 'FK_ProductKitAssemblyItems_PaymentOrderItems','FK_Product_05072009122211002'

EXEC sp_rename 'FK_ProductKitAssemblyItems_Products','FK_Product_05072009122211003'

EXEC sp_rename 'ProductKitAssemblyItems','ProductKit_05072009122211000',OBJECT

CREATE TABLE ProductKitAssemblyItems
(
    ProductKitAssemblyItemID int            IDENTITY,
    PaymentOrderItemID       int            NOT NULL,
    Title                    nvarchar(256)  NULL,
    Reference                nvarchar(256)  NULL,
    Description              nvarchar(256)  NULL,
    Price                    money          NULL,
    IncludeVAT               bit            NULL,
    Quantity                 int            NULL,
    IsDigital                bit            NULL,
    ProductID                int            NULL,
    IsDebugObject            bit            NULL
)
ON [PRIMARY]

-- Insert Data SQL

SET IDENTITY_INSERT ProductKitAssemblyItems ON

INSERT INTO ProductKitAssemblyItems(
                                        ProductKitAssemblyItemID,
                                        PaymentOrderItemID,
                                        Title,
                                        Reference,
                                        Description,
                                        Price,
                                        IncludeVAT,
                                        Quantity,
                                        IsDigital,
                                        ProductID,
                                        IsDebugObject
                                       )
                                 SELECT 
                                        CONVERT(int,ProductKitAssemblyItemID),
                                        PaymentOrderItemID,
                                        Title,
                                        Reference,
                                        Description,
                                        Price,
                                        IncludeVAT,
                                        Quantity,
                                        IsDigital,
                                        ProductID,
                                        IsDebugObject
                                   FROM ProductKit_05072009122211000 

SET IDENTITY_INSERT ProductKitAssemblyItems OFF

-- Add Constraint SQL

ALTER TABLE ProductKitAssemblyItems ADD CONSTRAINT PK126
PRIMARY KEY CLUSTERED (ProductKitAssemblyItemID)

-- Add Referencing Foreign Keys SQL

ALTER TABLE ProductKitAssemblyItems ADD CONSTRAINT FK_ProductKitAssemblyItems_PaymentOrderItems
FOREIGN KEY (PaymentOrderItemID)
REFERENCES PaymentOrderItems (PaymentOrderItemID)

ALTER TABLE ProductKitAssemblyItems ADD CONSTRAINT FK_ProductKitAssemblyItems_Products
FOREIGN KEY (ProductID)
REFERENCES Products (ProductID)

-- Drop temporary table

DROP TABLE ProductKit_05072009122211000